--------------------------------------------------------------------------
-- GTFO_Fail_MP.lua 
--------------------------------------------------------------------------
--[[
GTFO Fail List - Mists of Panderia
Author: Zensunim of Malygos

Change Log:
	v4.13
		- Added Instructor Chillheart's Ice Wall
		- Added Instructor Chillheart's Frigid Grasp
		- Added Professor Slate's Fire Breath Potion
		- Added Ook-Ook's Brew Explosion
		- Added Ook-Ook's Ground Pound
		- Added Hopper's Explosive Brew
		- Added Yan-Zhu the Uncasked's Wall of Suds
		- Added Liu Flameheart's Serpent Wave
		- Added Wise Mari's Wash Away
		- Added Armsmaster Harlan's Dragon's Reach
		- Added Armsmaster Harlan's Blades of Light
		- Added Flameweaver Koegler's Greater Dragon's Breath
	v4.14
		- Rearranged spells, added placeholders

]]--

-- ***************
-- * Scholomance *
-- ***************

GTFO.SpellID["111231"] = {
	--desc = "Ice Wall (Instructor Chillheart)";
	sound = 3;
};

GTFO.SpellID["114886"] = {
	--desc = "Frigid Grasp (Instructor Chillheart)";
	sound = 3;
};

GTFO.SpellID["114038"] = {
	--desc = "Gravity Flux (Jandice Barov, Heroic)";
	sound = 3;
	test = true; -- Verify
};

GTFO.SpellID["114872"] = {
	--desc = "Fire Breath Potion (Professor Slate)";
	sound = 3;
	tankSound = 0;
};

-- **********************
-- * Stormstout Brewery *
-- **********************

GTFO.SpellID["106648"] = {
	--desc = "Brew Explosion (Ook-Ook)";
	sound = 3;
};

GTFO.SpellID["106808"] = {
	--desc = "Ground Pound (Ook-Ook)";
	soundFunction = function() 
		-- Only alert the first failed one per volley
		GTFO_AddEvent("GroundPound", 4);
		return 3;
	end;
	ignoreEvent = "GroundPound";	
};

GTFO.SpellID["114291"] = {
	--desc = "Explosive Brew (Hopper)";
	sound = 3;
	test = true; -- Might be spammy, don't know if these are avoidable or not
};

GTFO.SpellID["114466"] = {
	--desc = "Wall of Suds (Yan-Zhu the Uncasked)";
	sound = 3;
	test = true; -- Wild guess at spell ID
};

-- ******************************
-- * Temple of the Jade Serpent *
-- ******************************

GTFO.SpellID["106938"] = {
	--desc = "Serpent Wave (Liu Flameheart, TJS)";
	sound = 3;
};

GTFO.SpellID["106334"] = {
	--desc = "Wash Away (Wise Mari, TJS)";
	sound = 3;
	trivialPercent = 0;
};

-- *****************
-- * Scarlet Halls *
-- *****************

GTFO.SpellID["111217"] = {
	--desc = "Dragon's Reach (Armsmaster Harlan)";
	sound = 3;
	tankSound = 0;
	trivialPercent = 0;
};

GTFO.SpellID["112955"] = {
	--desc = "Blades of Light (Armsmaster Harlan)";
	sound = 3;
	applicationOnly = true;
};

GTFO.SpellID["113653"] = {
	--desc = "Greater Dragon's Breath (Flameweaver Koegler)";
	sound = 3;
	trivialPercent = 0;
	applicationOnly = true;
};

-- ***************************
-- * Gate of the Setting Sun *
-- ***************************

-- TODO: Sabotage (Saboteur Kip'tilak) (if avoidable) 
-- TODO: Mantid Munition Explosion (Saboteur Kip'tilak) (if avoidable)
-- TODO: Strafing Run (Striker Ga'dok) 
-- TODO: Bombard (Commander Ri'mok) (avoidable? non-tank only?)
-- TODO: Battering Headbutt (Raigonn)
-- TODO: Stomp (Raigonn) (is it avoidable? non-tank?)

-- ********************
-- * Mogu'shan Palace *
-- ********************

-- ***********************
-- * Shado-Pan Monastery *
-- ***********************

-- **************************
-- * Siege of Nivzao Temple *
-- **************************

-- *****************
-- * Heart of Fear *
-- *****************

-- ********************
-- * Mogu'shan Vaults *
-- ********************
-- TODO: Cobalt Mine (Stone Guard)
-- TODO: Lightning Fists (Feng the Accursed) (Non-tank fail)
-- TODO: Lightning Fists (Feng the Accursed, Heroic) (Non-tank fail)
-- TODO: Frail Soul (Gara'jal the Spiritbinder) (Death from crossing over with debuff)
-- TODO: Annihilate (The Spirit Kings) (Non-tank fail)
-- TODO: Shadow Blast (The Spirit Kings) (Not sure if this is avoidable)
-- TODO: Energy Cascade (Elegon) (If avoidable)
-- TODO: Energizing Smash (Will of the Emperor) (Non-tank fail)
-- TODO: Devastating Arc (Will of the Emperor) (If avoidable)
-- TODO: Stomp (Will of the Emperor) (Non-tank fail if boss isn't rooted?)

-- *****************************
-- * Terrace of Endless Spring *
-- *****************************


-- ****************
-- * World Bosses *
-- ****************

-- TODO: Cannon Barrage (Salyis's Warband)
